# Uses of Class
net.shibboleth.shared.net.CookieManager

Packages that use CookieManager
Package
Description
net.shibboleth.shared.security
Helpers for common security related tasks.

## Uses of CookieManager in net.shibboleth.shared.security

Fields in net.shibboleth.shared.security declared as CookieManager
Modifier and Type
Field
Description
`private CookieManager`
EncryptedCookieManager.`cookieManager`
Optional cookie manager to use.
Methods in net.shibboleth.shared.security with parameters of type CookieManager
Modifier and Type
Method
Description
`void`
EncryptedCookieManager.`setCookieManager(CookieManager manager)`
Sets `CookieManager` to use.